Find the answer to your Linux question:
Results 1 to 3 of 3
I'm running FC 3. Yesterday I installed MPlayer and MEncoder using the instructions from this page: http://www.mjmwired.net/resources/mplayer-fedora.shtml Everything seemed to work fine except that the Xvid codec doesn't seem to ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Mar 2005
    Posts
    38

    Getting Xvid to work with MEncoder


    I'm running FC 3. Yesterday I installed MPlayer and MEncoder using the instructions from this page:

    http://www.mjmwired.net/resources/mplayer-fedora.shtml

    Everything seemed to work fine except that the Xvid codec doesn't seem to be available. I downloaded and installed the XVid codec as referenced in section 2.3 of the page.

    The xvid package is in an RPM and I installed it using rpm -i. The specific rpm is: xvidcore-1.0.3-1.1.fc3.fr.i386.rpm

    I tried re-installing it and it says it's already installed.

    Yet when I go to the "configure" stage, prior to "make", Xvid has a "no" next to it. And if I do "mencoder -ovc help" it lists other codecs but of course, not xvid.

    Any ideas?

    Thanks.

    Pete

  2. #2
    Just Joined!
    Join Date
    Sep 2004
    Posts
    6

    Re: Getting Xvid to work with MEncoder

    Quote Originally Posted by pdavis68
    I'm running FC 3. Yesterday I installed MPlayer and MEncoder using the instructions from this page:

    http://www.mjmwired.net/resources/mplayer-fedora.shtml

    Everything seemed to work fine except that the Xvid codec doesn't seem to be available. I downloaded and installed the XVid codec as referenced in section 2.3 of the page.

    The xvid package is in an RPM and I installed it using rpm -i. The specific rpm is: xvidcore-1.0.3-1.1.fc3.fr.i386.rpm

    I tried re-installing it and it says it's already installed.

    Yet when I go to the "configure" stage, prior to "make", Xvid has a "no" next to it. And if I do "mencoder -ovc help" it lists other codecs but of course, not xvid.

    Any ideas?

    Thanks.

    Pete
    You need devel package, beacuse they contain files needed for compilation. On that page you have xvidcore-devel-1.0.2-2.1.fc3.fr.i386.rpm , install that and you should be set.

    Hth, Milan

  3. #3
    Just Joined!
    Join Date
    Mar 2005
    Posts
    38

    xvid-devel

    Thanks, I think that did it. I reran configure and it saw it and I'm rebuilding now. Thanks a bunch.

    Pete

  4. $spacer_open
    $spacer_close

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •